jQuery(document).ready( function() {

jQuery('.css_button').click( function() {

jQuery('.toggle_css').toggle();

}); });

jQuery(document).ready( function() {

	// Update Order Numbers
	function update_order_numbers(div) {
		div.children('tbody').children('tr.card-helper-row').each(function(i) {
			jQuery(this).children('td.card-helper-order').html(i+1);
		});
	}
	
	// Make Sortable
	function make_sortable(div){
		var fixHelper = function(e, ui) {
			ui.children().each(function() {
				jQuery(this).width(jQuery(this).width());
			});
			return ui;
		};

		div.children('tbody').unbind('sortable').sortable({
			update: function(event, ui){
				update_order_numbers(div);
			},
			handle: 'td.card-helper-order',
			helper: fixHelper
		});
	}

	var div = jQuery('.card-helper-table'),
		row_count = div.children('tbody').children('tr.card-helper-row').length;

	// Make the table sortable
	make_sortable(div);
	
	// Add button
	jQuery('#card-helper-add-button').live('click', function(){

		var div = jQuery('.card-helper-table'),			
			row_count = div.children('tbody').children('tr.card-helper-row').length,
			new_field = div.children('tbody').children('tr.card-helper-clone').clone(false); // Create and add the new field

		new_field.attr( 'class', 'card-helper-row' );

		// Update names
		new_field.find('[name]').each(function(){
			var count = parseInt(row_count);
			var name = jQuery(this).attr('name').replace('[999]','[' + count + ']');
			jQuery(this).attr('name', name);
		});

		// Add row
		div.children('tbody').append(new_field); 
		update_order_numbers(div);

		// There is now 1 more row
		row_count ++;

		return false;	
	});

	// Remove button
	jQuery('.card-helper-table .card-helper-remove-button').live('click', function(){
		var div = jQuery('.card-helper-table'),
			tr = jQuery(this).closest('tr');

		tr.animate({'left' : '50px', 'opacity' : 0}, 250, function(){
			tr.remove();
			update_order_numbers(div);
		});

		return false;
	});
});